Subject: RE: ps and kill
From: [email-masked] (Scott Field)

6 Dec 1996 14:07:27 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <c=US%a=_%p=msft%l=[email-masked]>
Original-To: "[email-masked]'" <[email-masked]>,
        "'Doug Evans'"
	 <[email-masked]>
Original-Cc: "[email-masked]'" <[email-masked]>
X-Mailer: Microsoft Exchange Server Internet Mail Connector Version 4.0.994.63
Encoding: 44 TEXT
Original-Sender: [email-masked]

The code to do this right for both platforms would be very different.

For Win95, only one logged on security context is possible, so use
GetUserName()
For WinNT, multiple users can be logged on (see SU utility is NT reskit)
..  NetWkstaUserEnum() can give you a list of logged on users.

>----------
>From: 	Doug Evans[SMTP:[email-masked]]
>Sent: 	Friday, December 06, 1996 9:51 AM
>To: 	[email-masked]
>Cc: 	[email-masked]
>Subject: 	Re: ps and kill
>
>   From: "Ben Constable" <[email-masked]>
>   Date: Sat, 7 Dec 1996 03:02:48 +1100
>
>   Also, when I run who, I get:
>
>   who: /var/run/utmp: No such file or directory
>
>   What kind of response is this? NT does not store user information in a
>file
>   called /var/run/utmp. Maybe if we wrote a device driver which mapped a
>file
>   of that name to a dump of current logged on users, it would work.
>
>Maybe `who' has been ported to NT yet.
>You'll find there are lots of such binaries that will compile but
>that no one has had time yet to see whether they do anything appropriate
>or not.
>
>   While I am sending mail to the list, I would like to voice my opinion that
>   a project like this one will only start to work if two versions are made -
>   one for NT and one for 95. NT is too different to use the same source set.
>   What do people think of this?
>
>One difference between the linux project and the gnu-win32 project
>is the several orders of magnitude of difference in quantity of
>contributed patches ....
>-
>For help on using this list, send a message to
>"[email-masked]" with one line of text: "help".
>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".